Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XSModelGroupImpl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.XSModelGroupImpl

All Implemented Interfaces:
  XSModelGroup, XSObject, XSTerm

public class XSModelGroupImpl
extends java.lang.Object
implements XSModelGroup

Store schema model group declaration.

Version:
  $Id: XSModelGroupImpl.java,v 1.2 2003/01/14 20:21:45 elena Exp $
Author:
  Sandy Gao, IBM

Field Summary
`short` | `fCompositor`
`int` | `fParticleCount`
`XSParticleDecl[]` | `fParticles`
`static short` | `MODELGROUP_ALL`
`static short` | `MODELGROUP_CHOICE`
`static short` | `MODELGROUP_SEQUENCE`

Fields inherited from interface org.apache.xerces.impl.xs.psvi.XSModelGroup
`COMPOSITOR_ALL, COMPOSITOR_CHOICE, COMPOSITOR_SEQUENCE`

Constructor Summary
`XSModelGroupImpl()`

Method Summary
`XSAnnotation` | `getAnnotation()` Optional.
`short` | `getCompositor()` {compositor} One of all, choice or sequence.
`java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
`java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
`XSNamespaceItem` | `getNamespaceItem()` A namespace schema information itemcorresponding to the target namespace of the component, if it's globally declared; or null otherwise.
`XSObjectList` | `getParticles()` {particles} A list of particles
`short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.
`boolean` | `isEmpty()`
`int` | `maxEffectiveTotalRange()`
`int` | `minEffectiveTotalRange()` 3.8.6 Effective Total Range (all and sequence) and Effective Total Range (choice) The following methods are used to return min/max range for a particle.
`void` | `reset()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MODELGROUP_CHOICE

    public static final short MODELGROUP_CHOICE

### MODELGROUP_SEQUENCE

    public static final short MODELGROUP_SEQUENCE

### MODELGROUP_ALL

    public static final short MODELGROUP_ALL

### fCompositor

    public short fCompositor

### fParticles

    public XSParticleDecl[] fParticles

### fParticleCount

    public int fParticleCount

Constructor Detail

### XSModelGroupImpl

    public XSModelGroupImpl()

Method Detail

### isEmpty

    public boolean isEmpty()

### minEffectiveTotalRange

    public int minEffectiveTotalRange()

  3.8.6 Effective Total Range (all and sequence) and Effective Total Range (choice) The following methods are used to return min/max range for a particle. They are not exactly the same as it's described in the spec, but all the values from the spec are retrievable by these methods.

### maxEffectiveTotalRange

    public int maxEffectiveTotalRange()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### reset

    public void reset()

### getType

    public short getType()

  Get the type of the object, i.e ELEMENT_DECLARATION.
  Specified by:
    `getType` in interface `XSObject`

### getName

    public java.lang.String getName()

  The `name` of this `XSObject` depending on the `XSObject` type.
  Specified by:
    `getName` in interface `XSObject`

### getNamespace

    public java.lang.String getNamespace()

  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.
  Specified by:
    `getNamespace` in interface `XSObject`

### getCompositor

    public short getCompositor()

  {compositor} One of all, choice or sequence. The valid constants values are: ALL, CHOICE, SEQUENCE.
  Specified by:
    `getCompositor` in interface `XSModelGroup`

### getParticles

    public XSObjectList getParticles()

  {particles} A list of particles
  Specified by:
    `getParticles` in interface `XSModelGroup`

### getAnnotation

    public XSAnnotation getAnnotation()

  Optional. Annotation.
  Specified by:
    `getAnnotation` in interface `XSModelGroup`

### getNamespaceItem

    public XSNamespaceItem getNamespaceItem()

  Description copied from interface: `XSObject`
  A namespace schema information itemcorresponding to the target namespace of the component, if it's globally declared; or null otherwise.
  Specified by:
    `getNamespaceItem` in interface `XSObject`
  See Also:
    `XSObject.getNamespaceItem()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.